Bio::MAGETAB::Util::RewriteAE(3)

NAME
Bio::MAGETAB::Util::RewriteAE - A utility class providing methods to correct some common errors in ArrayExpress MAGE-TAB documents.

SYNOPSIS
 use Bio::MAGETAB::Util::RewriteAE;
 my $rw = Bio::MAGETAB::Util::RewriteAE->new();
 $rw->rewrite_sdrf( $sdrf );
 $rw->rewrite_idf( $idf );

DESCRIPTION
At the time of writing, many ArrayExpress MAGE-TAB documents do not fully comply with the latest MAGE-TAB specification, and this class can be used to rewrite such documents prior to import with the main Bio::MAGETAB classes. Typically the order of rewriting should be as shown in the SYNOPSIS, with the SDRF being rewritten first. This is so the RewriteAE object can record all the Term Sources referenced by the SDRF and make sure they are all declared in the IDF.

METHODS

rewrite_sdrf
    Given the name of an SDRF file, overwrite said file with a fixed copy.

rewrite_idf
    Given the name of an IDF file, overwrite said file with a fixed copy.

SEE ALSO
Bio::MAGETAB Bio::MAGETAB::Util::Reader

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).